Bug 151561 - java/jdk16 refers to outdated tzupdate version
Summary: java/jdk16 refers to outdated tzupdate version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-18 20:20 UTC by tom
Modified: 2010-10-30 23:00 UTC (History)
1 user (show)

See Also:


Attachments
diablo.diff (2.55 KB, patch)
2010-10-19 17:57 UTC, Eric F Crist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tom 2010-10-18 20:20:06 UTC
The tzupdater file referenced by the java/jdk16 port no longer is available from the referenced URL. The file version has been updated from 1.3.31 to 1.3.33.

Fix: 

The necessary patches to the port files are below.

root@alcatraz-2:/usr/ports/java/jdk16-> diff distinfo distinfo.bak 
16,18c16,18
< MD5 (tzupdater-1_3_33-2010l.zip) = 2f2d8db06ea952f1d969257ef488f31e
< SHA256 (tzupdater-1_3_33-2010l.zip) = 86c8f83a50b551df26a229520a2cd5cb00add1fe31d9d182786c3279ba06e727
< SIZE (tzupdater-1_3_33-2010l.zip) = 256049
---
> MD5 (tzupdater-1_3_31-2010i.zip) = af9f46b6e08155f2f654417fd063956d
> SHA256 (tzupdater-1_3_31-2010i.zip) = 2b7ea6f54aad274e8a6f9e0f82f49f08d5cc44292ab86489b5dcbf80146b9464
> SIZE (tzupdater-1_3_31-2010i.zip) = 264007
root@alcatraz-2:/usr/ports/java/jdk16-> diff Makefile Makefile.bak 
62,63c62,63
< TZUPDATE_VERSION=	1_3_33
< TZUPDATE_TZVERSION=	2010l
---
> TZUPDATE_VERSION=	1_3_31
> TZUPDATE_TZVERSION=	2010i
How-To-Repeat: Build the net-im/openfire port, which depends on java/jdk16. Ensure the TZUPDATE option is set on (default).
Comment 1 Edwin Groothuis freebsd_committer 2010-10-18 20:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Eric F Crist 2010-10-19 17:57:57 UTC
This patch properly fixes this issue.

---
Eric F Crist
System Administrator
ClaimLynx, Inc
(952) 593-5969 x2301

Comment 3 dfilter service freebsd_committer 2010-10-30 21:35:47 UTC
glewis      2010-10-30 20:35:32 UTC

  FreeBSD ports repository

  Modified files:
    java/diablo-jdk16    Makefile distinfo pkg-plist 
    java/diablo-jre16    Makefile distinfo pkg-plist 
  Log:
  . Update to tzupdater 1.3.33.
  
  PR:             151561
  Submitted by:   Thomas Johnson <tom@claimlynx.com>
  
  Revision  Changes    Path
  1.16      +3 -3      ports/java/diablo-jdk16/Makefile
  1.12      +3 -3      ports/java/diablo-jdk16/distinfo
  1.7       +5 -2      ports/java/diablo-jdk16/pkg-plist
  1.16      +3 -3      ports/java/diablo-jre16/Makefile
  1.11      +3 -3      ports/java/diablo-jre16/distinfo
  1.7       +5 -2      ports/java/diablo-jre16/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Greg Lewis freebsd_committer 2010-10-30 21:35:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2010-10-30 22:50:19 UTC
glewis      2010-10-30 21:50:10 UTC

  FreeBSD ports repository

  Modified files:
    java/jdk16           Makefile distinfo 
  Log:
  . Update to tzupdater 1.3.33.
  
  PR:             151561
  Submitted by:   Thomas Johnson <tom@claimlynx.com>
  
  Revision  Changes    Path
  1.184     +3 -3      ports/java/jdk16/Makefile
  1.47      +3 -3      ports/java/jdk16/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"